{ pkgs, ... }:

{
  imports = [
    ../../modules/home/desktop/hyprland
    ../../modules/home/programs/common.nix
    ../../modules/home/programs/firefox.nix
    ../../modules/home/programs/kitty.nix
    ../../modules/home/programs/neovim
    ../../modules/home/theme
    ../../modules/home/theme/blueish.nix
    ../../modules/home/utils/fonts.nix
  ];

  home = {
    username = "xeovalyte";
    homeDirectory = "/home/xeovalyte";
  };

  home.packages = with pkgs; [
    # Desktop Applications
    firefox
    webcord
    logseq

    # CLI tools
    btop
  ];

  home.stateVersion = "23.11";
}
